Method: customer.devices.chromeos.countChromeOsDevices

统计符合要求的 ChromeOS 设备数量。

HTTP 请求

GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos:countChromeOsDevices

网址采用 gRPC 转码语法。

路径参数

参数
customerId

string

必需。Google Workspace 账号的不可变 ID。

查询参数

参数
orgUnitPath

string

可选。组织部门的完整路径(不含开头的 /)或其唯一 ID。

filter

string

可选。搜索字符串,格式如列出查询运算符中所述。

includeChildOrgunits

boolean

可选。返回所有子组织部门以及指定组织部门中的设备。如果此字段设置为 true,则必须提供“orgUnitPath”。

请求正文

请求正文必须为空。

响应正文

用于统计 ChromeOS 设备的响应。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "count": string
}
字段
count

string (int64 format)

与请求匹配的设备总数。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/admin.directory.device.chromeos
  • https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly

如需了解详情,请参阅授权指南